## kscreenlocker 5.24.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kscreenlocker)
set(CMAKE_C_STANDARD 99)
set(PROJECT_VERSION "5.24.3")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.86")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus Widgets Quick Test)
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CheckIncludeFiles)
include(ECMMarkNonGuiExecutable)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(GenerateExportHeader)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(CheckIncludeFile)
include(CheckSymbolExists)
check_include_file("sys/prctl.h" HAVE_SYS_PRCTL_H)
check_symbol_exists(PR_SET_DUMPABLE "sys/prctl.h" HAVE_PR_SET_DUMPABLE)
check_include_file("sys/procctl.h" HAVE_SYS_PROCCTL_H)
check_symbol_exists(PROC_TRACE_CTL "sys/procctl.h" HAVE_PROC_TRACE_CTL)
if (HAVE_PR_SET_DUMPABLE OR HAVE_PROC_TRACE_CTL)
  set(CAN_DISABLE_PTRACE TRUE)
endif ()
add_feature_info("prctl/procctl tracing control"
                 CAN_DISABLE_PTRACE
                 "Required for disallowing ptrace on greeter and kcheckpass process")

check_include_file("sys/signalfd.h" HAVE_SIGNALFD_H)
if (NOT HAVE_SIGNALFD_H)
    check_include_files("sys/types.h;sys/event.h" HAVE_EVENT_H)
endif ()
if (NOT (HAVE_SIGNALFD_H OR HAVE_EVENT_H))
    message(FATAL_ERROR "kcheckpass either needs signalfd() or kevent()&sigtimedwait() to work")
endif ()
add_feature_info("sys/signalfd.h"
                 HAVE_SIGNALFD_H
                 "Use the signalfd() api for signalhandling")
add_feature_info("sys/event.h"
                 HAVE_EVENT_H
                 "Use the kevent() and sigwaitinfo() api for signalhandling")

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
                    Crash
                    Declarative
                    KCMUtils
                    GlobalAccel
                    I18n
                    IdleTime
                    Notifications
                    Solid
                    WindowSystem
                    XmlGui
                    )

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "https://www.x.org"
                        TYPE REQUIRED
                        PURPOSE "Required for building the X11 based workspace")

find_package(XCB MODULE REQUIRED COMPONENTS XCB KEYSYMS XTEST)
set_package_properties(XCB PROPERTIES TYPE REQUIRED)
add_feature_info("XInput" X11_Xinput_FOUND "Required for grabbing XInput2 devices in the screen locker")

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS X11Extras)

find_package(KF5Wayland CONFIG REQUIRED)
set_package_properties(KF5Wayland PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required for building screenlocker")
find_package(WaylandScanner)
find_package(Wayland 1.3 COMPONENTS Client Server)
find_package(LayerShellQt REQUIRED)

set_package_properties(Wayland PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required for building screenlocker")

find_package(loginctl)
set_package_properties(loginctl PROPERTIES
    URL "https://www.freedesktop.org/software/systemd/man/loginctl.html"
    DESCRIPTION "Send control commands to the login manager"
    TYPE RUNTIME
    )
set(HAVE_LOGINCTL ${loginctl_FOUND})

if ( NOT HAVE_LOGINCTL )
    find_package(ConsoleKit)
    set_package_properties(ConsoleKit PROPERTIES
        URL "https://github.com/ConsoleKit2/ConsoleKit2"
        DESCRIPTION "Framework for tracking user login sessions"
        TYPE RECOMMENDED
        )
    set(HAVE_CONSOLEKIT ${ConsoleKit_FOUND})
endif ()

if (HAVE_LOGINCTL OR HAVE_CONSOLEKIT)
    set(HAVE_UNLOCK_CAPABILITY TRUE)
endif ()

add_feature_info("Unlock broken screenlocker"
                 HAVE_UNLOCK_CAPABILITY
                 "Needed for emergency unlock in case that the greeter is broken. In case your distribution does not provide loginctl or consolekit please contact plasma-devel@kde.org to discuss alternatives.")

option(PAM_REQUIRED "Require building with PAM" ON)

include(ConfigureChecks.cmake)

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)

if (HAVE_CONSOLEKIT)
    configure_file(ck-unlock-session.cmake ${CMAKE_CURRENT_BINARY_DIR}/ck-unlock-session)
endif ()

# adjusting CMAKE_C_FLAGS to get wayland protocols to compile
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KSCREENLOCKER
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kscreenlocker_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfigVersion.cmake"
                        SOVERSION 5)

configure_file(config-kscreenlocker.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kscreenlocker.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(KSLD_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KScreenLocker")

include(ECMQtDeclareLoggingCategory)

add_subdirectory(kcheckpass)
add_subdirectory(greeter)
add_subdirectory(kcm)
add_subdirectory(settings)

add_definitions(-DTRANSLATION_DOMAIN=\"kscreenlocker\")

set(screensaver_dbusXML dbus/org.freedesktop.ScreenSaver.xml)
set(kscreensaver_dbusXML dbus/org.kde.screensaver.xml)
set(powerdevilpolicyagent_xml dbus/kf5_org.kde.Solid.PowerManagement.PolicyAgent.xml)

set(ksld_SRCS
   abstractlocker.cpp
   ksldapp.cpp
   interface.cpp
   globalaccel.cpp
   x11locker.cpp
   waylandlocker.cpp
   logind.cpp
   waylandserver.cpp
   powermanagement_inhibition.cpp
)

ecm_qt_declare_logging_category(ksld_SRCS
    HEADER
        kscreenlocker_logging.h
    IDENTIFIER
        KSCREENLOCKER
    CATEGORY_NAME
        kscreenlocker
    DEFAULT_SEVERITY
        Critical
)

qt_add_dbus_adaptor(ksld_SRCS ${screensaver_dbusXML} interface.h ScreenLocker::Interface)
qt_add_dbus_adaptor(ksld_SRCS ${kscreensaver_dbusXML} interface.h ScreenLocker::Interface kscreensaveradaptor KScreenSaverAdaptor)
qt_add_dbus_interface(ksld_SRCS ${powerdevilpolicyagent_xml} powerdevilpolicyagent)

ecm_add_wayland_server_protocol(ksld_SRCS
    PROTOCOL protocols/ksld.xml
    BASENAME ksld
)

add_library(KScreenLocker SHARED ${ksld_SRCS})

target_link_libraries(KScreenLocker
PUBLIC
   Qt::Core
   Qt::X11Extras
PRIVATE
   settings
   Qt::DBus
   KF5::I18n
   KF5::IdleTime
   KF5::GlobalAccel
   KF5::Notifications
   KF5::CoreAddons
   KF5::ConfigGui
   KF5::Package
   KF5::WindowSystem
   KF5::XmlGui
   X11::X11
   XCB::XCB
   XCB::KEYSYMS
   KF5::WaylandServer
   Wayland::Server
)

if (X11_Xinput_FOUND)
    target_link_libraries(KScreenLocker PRIVATE X11::Xi)
endif()

target_include_directories(KScreenLocker INTERFACE "$<INSTALL_INTERFACE:${KSLD_INCLUDEDIR}>")

# Needed to compile on Arm target.
set_target_properties(KScreenLocker PROPERTIES COMPILE_FLAGS "-fPIC")

add_library(PW::KScreenLocker ALIAS KScreenLocker)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

generate_export_header(KScreenLocker
    BASE_NAME KScreenLocker
    EXPORT_MACRO_NAME KSCREENLOCKER_EXPORT
    EXPORT_FILE_NAME KScreenLocker/kscreenlocker_export.h
)

configure_package_config_file(ScreenSaverDBusInterfaceConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/ScreenSaverDBusInterfaceConfig.cmake
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/ScreenSaverDBusInterface")

set_target_properties(KScreenLocker PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})

install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/ScreenSaverDBusInterfaceConfig.cmake
        DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/ScreenSaverDBusInterface")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KScreenLockerConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KScreenLocker")

if (HAVE_CONSOLEKIT)
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ck-unlock-session DESTINATION ${KDE_INSTALL_BINDIR})
endif ()

install(TARGETS KScreenLocker EXPORT KScreenLockerTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY)
install(EXPORT KScreenLockerTargets DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KScreenLocker" FILE KScreenLockerTargets.cmake NAMESPACE PW::)

ecm_generate_headers(KScreenLocker_CamelCase_HEADERS
    HEADER_NAMES
        KsldApp
    REQUIRED_HEADERS KScreenLocker_HEADERS)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/KScreenLocker/kscreenlocker_export.h
        ${KScreenLocker_CamelCase_HEADERS}
        ${KScreenLocker_HEADERS}
    DESTINATION
        ${KSLD_INCLUDEDIR}/KScreenLocker
    COMPONENT Devel)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfig.cmake"
			  "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfigVersion.cmake"
		DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KScreenLocker"
		COMPONENT Devel)

install(FILES kscreenlocker.notifyrc  DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} RENAME ksmserver.notifyrc)
install(FILES ${screensaver_dbusXML}
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
        RENAME kf5_org.freedesktop.ScreenSaver.xml)

install(FILES ${kscreensaver_dbusXML}
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})


install(FILES   updaters/kscreenlocker.upd DESTINATION ${KDE_INSTALL_DATADIR}/kconf_update)
install(PROGRAMS updaters/ksreenlocker_5_3_separate_autologin.pl
                DESTINATION ${KDE_INSTALL_DATADIR}/kconf_update)

if(BUILD_TESTING)
   add_subdirectory(autotests)
   add_subdirectory(tests)
endif()
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
kscreenlocker (5.24.3-2deepin) unstable; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * update

  [ Yutao Meng ]
  * Regulate version name

 -- Yutao Meng <mengyutao@uniontech.com>  Tue, 21 Mar 2023 14:05:43 +0800

kscreenlocker (5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 08:17:51 +0100

kscreenlocker (5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Re-export signing key without extra signatures.
  * Update B-Ds.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:58:38 +0100

kscreenlocker (5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 17:22:20 +0100

kscreenlocker (5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

  [ Patrick Franz ]
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 21:58:45 +0100

kscreenlocker (5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:38:42 +0900

kscreenlocker (5.23.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Tighten build-dependencies.

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:02 +0900

kscreenlocker (5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).
  * Fix breaks agains out of release kwin.
  * Update breaks.

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:14 +0900

kscreenlocker (5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:23:49 +0200

kscreenlocker (5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 13:54:23 +0200

kscreenlocker (5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 17:46:48 +0200

kscreenlocker (5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:41 +0900

kscreenlocker (5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:49 +0900

kscreenlocker (5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:39 +0900

kscreenlocker (5.21.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.0).
  * Update build-deps and deps with the info from cmake.
  * Update breaks against current kwin versions.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Feb 2021 05:42:26 +0900

=== debian/control ===
Source: kscreenlocker
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.86~),
               gettext,
               libkf5crash-dev (>= 5.86~),
               libkf5declarative-dev (>= 5.86~),
               libkf5globalaccel-dev (>= 5.86~),
               libkf5i18n-dev (>= 5.86~),
               libkf5idletime-dev (>= 5.86~),
               libkf5kcmutils-dev (>= 5.86~),
               libkf5notifications-dev (>= 5.86~),
               libkf5solid-dev (>= 5.86~),
               libkf5textwidgets-dev (>= 5.66.0~),
               libkf5wayland-dev (>= 4:5.5.1~),
               libkf5windowsystem-dev (>= 5.86~),
               libkf5xmlgui-dev (>= 5.86~),
               liblayershellqtinterface-dev (>= 5.24.2~),
               libpam0g-dev,
               libqt5x11extras5-dev (>= 5.15.0~),
               libwayland-dev (>= 1.3~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/plasma/kscreenlocker
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker
Rules-Requires-Root: no

Package: kde-config-screenlocker
Architecture: any
Depends: libkscreenlocker5 (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
Description: KCM Module for kscreenlocker
 KDE systemsettings module to configure kscreenlocker.
 .
 kscreenlocker can be configured to support the PAM ("Pluggable Authentication
 Modules") system for password checking (for unlocking the display).
 .
 PAM is a flexible application-transparent configurable user-authentication
 system found on FreeBSD, Solaris, and Linux (and maybe other unixes).
 .
 Information about PAM may be found on its homepage
       http://www.kernel.org/pub/linux/libs/pam/
 (Despite the location, this information is NOT Linux-specific.)
 .
 This package contains the KCM settings module for kscreenlocker.

Package: kscreenlocker-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends}
Description: Development files for kscreenlocker
 KDE systemsettings module to configure kscreenlocker.
 .
 kscreenlocker can be configured to support the PAM ("Pluggable Authentication
 Modules") system for password checking (for unlocking the display).
 .
 PAM is a flexible application-transparent configurable user-authentication
 system found on FreeBSD, Solaris, and Linux (and maybe other unixes).
 .
 Information about PAM may be found on its homepage
       http://www.kernel.org/pub/linux/libs/pam/
 (Despite the location, this information is NOT Linux-specific.)
 .
 This package contains development files for kscreenlocker.

Package: libkscreenlocker5
Architecture: any
Pre-Depends: psmisc
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.23.90~), kwin-common (>> 4:5.24.70~)
Recommends: kde-config-screenlocker
Multi-Arch: same
Description: Secure lock screen architecture
 KDE systemsettings module to configure kscreenlocker.
 .
 kscreenlocker can be configured to support the PAM ("Pluggable Authentication
 Modules") system for password checking (for unlocking the display).
 .
 PAM is a flexible application-transparent configurable user-authentication
 system found on FreeBSD, Solaris, and Linux (and maybe other unixes).
 .
 Information about PAM may be found on its homepage
       http://www.kernel.org/pub/linux/libs/pam/
 (Despite the location, this information is NOT Linux-specific.)
 .
 This package contains the library files for kscreenlocker.

## kscreenlocker 5.24.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(kscreenlocker)
 set(CMAKE_C_STANDARD 99)
-set(PROJECT_VERSION "5.24.3")
+set(PROJECT_VERSION "5.24.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.0")

=== autotests/CMakeLists.txt ===
add_definitions(-DKSCREENLOCKER_UNIT_TEST)
include(ECMMarkAsTest)

#######################################
# LogindTest
#######################################
set(logindTest_SRCS
    logindtest.cpp
    fakelogind.cpp
    ../logind.cpp
    ../kscreenlocker_logging.cpp
)

add_executable(logindTest ${logindTest_SRCS})
target_link_libraries(logindTest Qt::DBus Qt::Test KF5::I18n)
add_test(NAME ksmserver-logindTest COMMAND logindTest)
ecm_mark_as_test(logindTest)

#######################################
# KSldTest
#######################################
add_executable(ksldTest ksldtest.cpp)
target_link_libraries(ksldTest Qt::Test Qt::Widgets KF5::IdleTime XCB::XTEST KScreenLocker)
add_test(NAME ksmserver-ksldTest COMMAND ksldTest)
ecm_mark_as_test(ksldTest)

#######################################
# KeyboardGrabber
#######################################
add_executable(keyboardGrabber keyboardgrabber.cpp)
target_link_libraries(keyboardGrabber Qt::Core XCB::XCB)
ecm_mark_as_test(keyboardGrabber)

#######################################
# PointerGrabber
#######################################
add_executable(pointerGrabber pointergrabber.cpp)
target_link_libraries(pointerGrabber Qt::Core XCB::XCB)
ecm_mark_as_test(pointerGrabber)

#######################################
# LockWindowTest
#######################################
set(x11LockerTest_SRCS
    x11lockertest.cpp
    ../x11locker.cpp
    ../globalaccel.cpp
    ../abstractlocker.cpp
    ../kscreenlocker_logging.cpp
)

add_executable(x11LockerTest ${x11LockerTest_SRCS})
target_link_libraries(x11LockerTest
    KF5::GlobalAccel
    KF5::I18n
    KF5::WindowSystem
    Qt::Test
    Qt::X11Extras
    Qt::Widgets
    X11::X11
    XCB::XCB
    XCB::KEYSYMS
)
add_test(NAME ksmserver-x11LockerTest COMMAND x11LockerTest)
ecm_mark_as_test(x11LockerTest)

#######################################
# NoScreensTest
#######################################
set(noScreensTest_SRCS noscreens.cpp)
add_executable(noScreensTest ${noScreensTest_SRCS})
target_link_libraries(noScreensTest
    KScreenLocker
    Qt::Test
    KF5::WaylandServer
    )
add_test(NAME ksld-noScreensTest COMMAND noScreensTest)
ecm_mark_as_test(noScreensTest)

=== greeter/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN=\"kscreenlocker\")
add_definitions(-DTRANSLATION_DOMAIN=\"kscreenlocker_greet\")

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ../kcheckpass
    ${CMAKE_CURRENT_BINARY_DIR}/../
)

set(kscreenlocker_greet_SRCS
   authenticator.cpp
   greeterapp.cpp
   main.cpp
   powermanagement.cpp
   noaccessnetworkaccessmanagerfactory.cpp
)

ecm_qt_declare_logging_category(kscreenlocker_greet_SRCS
    HEADER
        kscreenlocker_greet_logging.h
    IDENTIFIER
        KSCREENLOCKER_GREET
    CATEGORY_NAME
        kscreenlocker_greet
    DEFAULT_SEVERITY
        Critical
)

qt5_add_resources(kscreenlocker_greet_SRCS fallbacktheme.qrc)


ecm_add_wayland_client_protocol(kscreenlocker_greet_SRCS
    PROTOCOL ../protocols/ksld.xml
    BASENAME ksld
)

add_executable(kscreenlocker_greet ${kscreenlocker_greet_SRCS})

target_link_libraries(kscreenlocker_greet
                        settings
                        KF5::Package
                        KF5::Crash
                        KF5::I18n
                        KF5::ConfigGui
                        KF5::Declarative
                        KF5::QuickAddons
                        KF5::WindowSystem
                        Qt::Quick
                        Qt::Qml
                        Qt::X11Extras
                        X11::X11
                        KF5::WaylandClient
                        Wayland::Client
                        LayerShellQt::Interface
                        )

install(TARGETS kscreenlocker_greet DESTINATION ${KDE_INSTALL_LIBEXECDIR})

install(DIRECTORY themes/org.kde.passworddialog DESTINATION ${KDE_INSTALL_DATADIR}/ksmserver/screenlocker)

add_subdirectory(autotests)

=== kcheckpass/CMakeLists.txt ===
include_directories( ${UNIXAUTH_INCLUDE_DIRS} )
check_include_files(paths.h HAVE_PATHS_H)
configure_file (config-kcheckpass.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kcheckpass.h )

set(kcheckpass_SRCS
	kcheckpass.h
	kcheckpass.c
	checkpass_pam.c
	checkpass_shadow.c
)

add_executable(kcheckpass ${kcheckpass_SRCS})
ecm_mark_nongui_executable(kcheckpass)

set_property(TARGET kcheckpass APPEND_STRING PROPERTY COMPILE_FLAGS " -U_REENTRANT")
target_link_libraries(kcheckpass ${UNIXAUTH_LIBRARIES} ${SOCKET_LIBRARIES})
if (PAM_FOUND)
    set(kcheckpass_suid "")
else()
    set(kcheckpass_suid "SETUID")
    message(STATUS "PAM not found, will install a SUID-kcheckpass")
endif()
install(TARGETS kcheckpass
    DESTINATION ${KDE_INSTALL_LIBEXECDIR}
    PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE ${kcheckpass_suid}
    )

#EXTRA_DIST = README

=== tests/CMakeLists.txt ===
add_executable(kscreenlocker_test kscreenlocker_main.cpp)
target_link_libraries(kscreenlocker_test KScreenLocker Qt::Widgets KF5::I18n)
ecm_mark_as_test(kscreenlocker_test)

add_definitions(-DQML_PATH="${CMAKE_CURRENT_SOURCE_DIR}/powermanagement.qml")
add_executable(powermanagement_test powermanagementtest.cpp ../greeter/powermanagement.cpp)
target_link_libraries(powermanagement_test Qt::Gui Qt::DBus Qt::Quick)
ecm_mark_as_test(powermanagement_test)

include_directories(../kcheckpass/)
add_definitions(-DQML_FILE="${CMAKE_CURRENT_SOURCE_DIR}/kcheckpass_test.qml")
add_definitions(-DKSCREENLOCKER_TEST_APPS)
add_executable(kcheckpass_test kcheckpass_test.cpp ../greeter/authenticator.cpp)
target_link_libraries(kcheckpass_test Qt::Gui Qt::Quick)
ecm_mark_as_test(kcheckpass_test)

=== greeter/autotests/CMakeLists.txt ===
add_definitions(-DKSCREENLOCKER_UNIT_TEST)
include(ECMMarkAsTest)

#####################################
# fakekcheckpass
#####################################
add_executable(fakekcheckpass fakekcheckpass.c)
ecm_mark_nongui_executable(fakekcheckpass)
target_link_libraries(fakekcheckpass ${SOCKET_LIBRARIES})

#######################################
# AuthenticatorTest
#######################################
set( authenticatorTest_SRCS
     authenticatortest.cpp
     ../authenticator.cpp
)
add_executable(authenticatorTest ${authenticatorTest_SRCS})
target_link_libraries(authenticatorTest Qt::Test)
add_test(NAME ksmserver-authenticatorTest COMMAND authenticatorTest)
ecm_mark_as_test(authenticatorTest)

#######################################
# KillTest
#######################################
add_executable(killTest killtest.cpp)
add_test(NAME kscreenlocker-killTest COMMAND killTest)
ecm_mark_as_test(killTest)
target_link_libraries(killTest Qt::Test)

=== debian/changelog ===
kscreenlocker (5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:20:05 +0100

kscreenlocker (5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:14:38 +0000

kscreenlocker (5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:01:34 +0000

kscreenlocker (5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:21:07 +0000

kscreenlocker (5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:27:14 +0000

kscreenlocker (5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:18:40 +0000

kscreenlocker (5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:40:29 +0000

kscreenlocker (5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:56:34 +0000

kscreenlocker (5.23.3-1ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Nov 2021 17:17:51 +0000

kscreenlocker (5.23.3-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Breaks/Replace to suit Kubuntu history.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Nov 2021 11:34:42 +0000

kscreenlocker (5.23.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Nov 2021 11:17:43 +0000

kscreenlocker (5.23.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.1)
  * New upstream release (5.23.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Nov 2021 07:50:03 +0000

kscreenlocker (5.23.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.0)
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Oct 2021 17:51:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,28 @@
 Source: kscreenlocker
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Scarlett Moore <sgmoore@kde.org>,
+           Patrick Franz <deltaone@debian.org>,
            Norbert Preining <norbert@preining.info>,
-           Patrick Franz <deltaone@debian.org>,
-           Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.86~),
+               extra-cmake-modules (>= 5.90.0~),
                gettext,
-               libkf5crash-dev (>= 5.86~),
-               libkf5declarative-dev (>= 5.86~),
-               libkf5globalaccel-dev (>= 5.86~),
-               libkf5i18n-dev (>= 5.86~),
-               libkf5idletime-dev (>= 5.86~),
-               libkf5kcmutils-dev (>= 5.86~),
-               libkf5notifications-dev (>= 5.86~),
-               libkf5solid-dev (>= 5.86~),
-               libkf5textwidgets-dev (>= 5.66.0~),
-               libkf5wayland-dev (>= 4:5.5.1~),
-               libkf5windowsystem-dev (>= 5.86~),
-               libkf5xmlgui-dev (>= 5.86~),
-               liblayershellqtinterface-dev (>= 5.24.2~),
+               libkf5crash-dev (>= 5.90.0~),
+               libkf5declarative-dev (>= 5.90.0~),
+               libkf5globalaccel-dev (>= 5.90.0~),
+               libkf5i18n-dev (>= 5.90.0~),
+               libkf5idletime-dev (>= 5.90.0~),
+               libkf5kcmutils-dev (>= 5.90.0~),
+               libkf5notifications-dev (>= 5.90.0~),
+               libkf5solid-dev (>= 5.90.0~),
+               libkf5textwidgets-dev (>= 5.90.0~),
+               libkf5wayland-dev (>= 4:5.90.0~),
+               libkf5windowsystem-dev (>= 5.90.0~),
+               libkf5xmlgui-dev (>= 5.90.0~),
+               liblayershellqtinterface-dev (>= 5.24.4~),
                libpam0g-dev,
                libqt5x11extras5-dev (>= 5.15.0~),
                libwayland-dev (>= 1.3~),
@@ -36,10 +36,10 @@
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
-Standards-Version: 4.6.0
+Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/plasma/kscreenlocker
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
 Rules-Requires-Root: no
 
 Package: kde-config-screenlocker
@@ -67,7 +67,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends}
+Depends: libkscreenlocker5 (= ${binary:Version}),
+         ${misc:Depends},
 Description: Development files for kscreenlocker
  KDE systemsettings module to configure kscreenlocker.
  .
@@ -87,7 +88,7 @@
 Architecture: any
 Pre-Depends: psmisc
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kwin-common (<< 4:5.23.90~), kwin-common (>> 4:5.24.70~)
+Breaks: kwin-common (<< 4:5.20)
 Recommends: kde-config-screenlocker
 Multi-Arch: same
 Description: Secure lock screen architecture

## kscreenlocker 5.25.5

=== debian/changelog ===
kscreenlocker (5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:32:09 +0100

kscreenlocker (5.25.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Plasma build deps versioned to 5.25.4
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Aug 2022 11:34:50 +0100

kscreenlocker (5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:33:55 +0200

kscreenlocker (5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 17:59:10 +0100

kscreenlocker (5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * Drop now unused build dependency on libkf5textwidgets-dev.
  * Add dependency from kde-config-screenlocker to systemsettings.
  * Adapt lintian overrides.
  * Replace "killall kscreenlocker_greet" with "loginctl unlock-sessions" in
    postinst configure. The former doesn’t work anymore and leaves a broken
    screen locker on upgrade if the screen was locked.
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:28:50 +0200

kscreenlocker (5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:43:45 +0100

kscreenlocker (5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:16:45 +0100

kscreenlocker (5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).
  * Tighten inter-Plasma dependencies.

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:47:11 +0200

kscreenlocker (5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:27:06 +0100

kscreenlocker (5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Tighten build dependency to liblayershellqtinterface-dev (>= 5.25.0~).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:48 +0200

kscreenlocker (5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:05:43 +0100

kscreenlocker (5.24.90-2) experimental; urgency=medium

  * Tighten build dependency to liblayershellqtinterface-dev (>= 5.24.90~).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 31 May 2022 22:37:40 +0200

kscreenlocker (5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).
  * Update the list of installed files from build logs.
  * Update the list of installed files.
  * Adapt Breaks versions on kwin-common.
  * Add explicit build dependency to libkf5config-dev 5.94.0 to ensure we have
    libkf5configqml available.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:45:45 +0200

kscreenlocker (5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:40:15 +0100

kscreenlocker (5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:40:14 +0200

kscreenlocker (5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:48:19 +0100

kscreenlocker (5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 14:03:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,29 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Moore <sgmoore@kde.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+           Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.90.0~),
+               extra-cmake-modules (>= 5.94~),
                gettext,
-               libkf5crash-dev (>= 5.90.0~),
-               libkf5declarative-dev (>= 5.90.0~),
-               libkf5globalaccel-dev (>= 5.90.0~),
-               libkf5i18n-dev (>= 5.90.0~),
-               libkf5idletime-dev (>= 5.90.0~),
-               libkf5kcmutils-dev (>= 5.90.0~),
-               libkf5notifications-dev (>= 5.90.0~),
-               libkf5solid-dev (>= 5.90.0~),
-               libkf5textwidgets-dev (>= 5.90.0~),
-               libkf5wayland-dev (>= 4:5.90.0~),
-               libkf5windowsystem-dev (>= 5.90.0~),
-               libkf5xmlgui-dev (>= 5.90.0~),
-               liblayershellqtinterface-dev (>= 5.24.4~),
+               libkf5config-dev (>= 5.94~),
+               libkf5crash-dev (>= 5.94~),
+               libkf5declarative-dev (>= 5.94~),
+               libkf5globalaccel-dev (>= 5.94~),
+               libkf5i18n-dev (>= 5.94~),
+               libkf5idletime-dev (>= 5.94~),
+               libkf5kcmutils-dev (>= 5.94~),
+               libkf5notifications-dev (>= 5.94~),
+               libkf5solid-dev (>= 5.94~),
+               libkf5wayland-dev,
+               libkf5windowsystem-dev (>= 5.94~),
+               libkf5xmlgui-dev (>= 5.94~),
+               liblayershellqtinterface-dev (>= 5.25.5~),
                libpam0g-dev,
-               libqt5x11extras5-dev (>= 5.15.0~),
+               libqt5x11extras5-dev (>= 5.15.2~),
                libwayland-dev (>= 1.3~),
                libx11-dev,
                libxcb-keysyms1-dev,
@@ -34,9 +35,9 @@
                libxi-dev,
                pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.0~),
-               qtdeclarative5-dev (>= 5.15.0~),
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.15.2~),
+               qtdeclarative5-dev (>= 5.15.2~),
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/kscreenlocker
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
@@ -45,6 +46,7 @@
 Package: kde-config-screenlocker
 Architecture: any
 Depends: libkscreenlocker5 (= ${binary:Version}),
+         systemsettings,
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends},
@@ -88,7 +90,7 @@
 Architecture: any
 Pre-Depends: psmisc
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kwin-common (<< 4:5.20)
+Breaks: kwin-common (<< 4:5.24.90~), kwin-common (>> 4:5.25.70~)
 Recommends: kde-config-screenlocker
 Multi-Arch: same
 Description: Secure lock screen architecture

## kscreenlocker 5.26.4

=== debian/changelog ===
kscreenlocker (5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 16:06:04 +0100

kscreenlocker (5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:46:11 +0100

kscreenlocker (5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * New upstream release (5.26.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:35:07 +0200

kscreenlocker (5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:22 +0200

kscreenlocker (5.25.90-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Tighten cross-plasma components dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 07 Oct 2022 11:47:05 +0200

kscreenlocker (5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.
  * Adapt Breaks versions against kwin-common.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:24 +0200

kscreenlocker (5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:21:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,29 @@
 Source: kscreenlocker
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.94~),
+               extra-cmake-modules (>= 5.98.0~),
                gettext,
                libkf5config-dev (>= 5.94~),
-               libkf5crash-dev (>= 5.94~),
-               libkf5declarative-dev (>= 5.94~),
-               libkf5globalaccel-dev (>= 5.94~),
-               libkf5i18n-dev (>= 5.94~),
-               libkf5idletime-dev (>= 5.94~),
-               libkf5kcmutils-dev (>= 5.94~),
-               libkf5notifications-dev (>= 5.94~),
-               libkf5solid-dev (>= 5.94~),
+               libkf5crash-dev (>= 5.98.0~),
+               libkf5declarative-dev (>= 5.98.0~),
+               libkf5globalaccel-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5idletime-dev (>= 5.98.0~),
+               libkf5kcmutils-dev (>= 5.98.0~),
+               libkf5kio-dev (>= 5.98.0~),
+               libkf5notifications-dev (>= 5.98.0~),
+               libkf5solid-dev (>= 5.98.0~),
                libkf5wayland-dev,
-               libkf5windowsystem-dev (>= 5.94~),
-               libkf5xmlgui-dev (>= 5.94~),
-               liblayershellqtinterface-dev (>= 5.25.5~),
+               libkf5windowsystem-dev (>= 5.98.0~),
+               libkf5xmlgui-dev (>= 5.98.0~),
+               liblayershellqtinterface-dev (>= 5.25.90~),
                libpam0g-dev,
                libqt5x11extras5-dev (>= 5.15.2~),
                libwayland-dev (>= 1.3~),
@@ -39,8 +39,8 @@
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/kscreenlocker
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker
 Rules-Requires-Root: no
 
 Package: kde-config-screenlocker
@@ -69,8 +69,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkscreenlocker5 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends}
 Description: Development files for kscreenlocker
  KDE systemsettings module to configure kscreenlocker.
  .
@@ -90,7 +89,7 @@
 Architecture: any
 Pre-Depends: psmisc
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kwin-common (<< 4:5.24.90~), kwin-common (>> 4:5.25.70~)
+Breaks: kwin-common (<< 4:5.25.70~), kwin-common (>> 4:5.26.70~)
 Recommends: kde-config-screenlocker
 Multi-Arch: same
 Description: Secure lock screen architecture

## kscreenlocker 5.27.2

=== debian/changelog ===
kscreenlocker (5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * Update the list of installed files from build logs.
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 15:00:48 +0100

kscreenlocker (5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:44 +0100

kscreenlocker (5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Update cross-plasma versioned dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:57 +0100

kscreenlocker (5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:22:00 +0100

=== debian/control ===
--- 
+++ 
@@ -8,22 +8,23 @@
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.98.0~),
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
                libkf5config-dev (>= 5.94~),
-               libkf5crash-dev (>= 5.98.0~),
-               libkf5declarative-dev (>= 5.98.0~),
-               libkf5globalaccel-dev (>= 5.98.0~),
-               libkf5i18n-dev (>= 5.98.0~),
-               libkf5idletime-dev (>= 5.98.0~),
-               libkf5kcmutils-dev (>= 5.98.0~),
-               libkf5kio-dev (>= 5.98.0~),
-               libkf5notifications-dev (>= 5.98.0~),
-               libkf5solid-dev (>= 5.98.0~),
-               libkf5wayland-dev,
-               libkf5windowsystem-dev (>= 5.98.0~),
-               libkf5xmlgui-dev (>= 5.98.0~),
-               liblayershellqtinterface-dev (>= 5.25.90~),
+               libkf5crash-dev (>= 5.102.0~),
+               libkf5declarative-dev (>= 5.102.0~),
+               libkf5globalaccel-dev (>= 5.102.0~),
+               libkf5i18n-dev (>= 5.102.0~),
+               libkf5idletime-dev (>= 5.102.0~),
+               libkf5kcmutils-dev (>= 5.102.0~),
+               libkf5kio-dev (>= 5.102.0~),
+               libkf5notifications-dev (>= 5.102.0~),
+               libkf5screen-dev,
+               libkf5solid-dev (>= 5.102.0~),
+               libkf5wayland-dev (>= 4:5.102.0~),
+               libkf5windowsystem-dev (>= 5.102.0~),
+               libkf5xmlgui-dev (>= 5.102.0~),
+               liblayershellqtinterface-dev (>= 5.26.70~),
                libpam0g-dev,
                libqt5x11extras5-dev (>= 5.15.2~),
                libwayland-dev (>= 1.3~),
@@ -37,7 +38,7 @@
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/kscreenlocker
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker
@@ -69,7 +70,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends}
+Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends},
 Description: Development files for kscreenlocker
  KDE systemsettings module to configure kscreenlocker.
  .
@@ -87,10 +88,10 @@
 
 Package: libkscreenlocker5
 Architecture: any
-Pre-Depends: psmisc
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kwin-common (<< 4:5.25.70~), kwin-common (>> 4:5.26.70~)
-Recommends: kde-config-screenlocker
+Pre-Depends: psmisc,
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: kwin-common (<< 4:5.26.70~), kwin-common (>> 4:5.27.70~),
+Recommends: kde-config-screenlocker,
 Multi-Arch: same
 Description: Secure lock screen architecture
  KDE systemsettings module to configure kscreenlocker.

## kscreenlocker 5.27.3

=== debian/changelog ===
kscreenlocker (5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:18:00 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libkf5wayland-dev (>= 4:5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
-               liblayershellqtinterface-dev (>= 5.26.70~),
+               liblayershellqtinterface-dev (>= 5.27.3~),
                libpam0g-dev,
                libqt5x11extras5-dev (>= 5.15.2~),
                libwayland-dev (>= 1.3~),
